Loading...
Searching...
No Matches
mdds::rtree< KeyT, ValueT, Traits >::const_iterator Class Reference
Inheritance diagram for mdds::rtree< KeyT, ValueT, Traits >::const_iterator:

## Public Member Functions

value_type & | operator* () const
value_type * | operator-> () const
Public Member Functions inherited from mdds::rtree< KeyT, ValueT, Traits >::iterator_base< const_iterator, const_search_results::store_type::const_iterator, const rtree::value_type >
bool | operator== (const self_iterator_type &other) const
bool | operator!= (const self_iterator_type &other) const
self_iterator_type & | operator++ ()
self_iterator_type & | operator-- ()
const extent_type & | extent () const
size_t | depth () const

## Friends

class | rtree

## Additional Inherited Members

Public Types inherited from mdds::rtree< KeyT, ValueT, Traits >::iterator_base< const_iterator, const_search_results::store_type::const_iterator, const rtree::value_type >
using | store_iterator_type
using | self_iterator_type
using | value_type
using | pointer
using | reference
using | difference_type
using | iterator_category
Protected Member Functions inherited from mdds::rtree< KeyT, ValueT, Traits >::iterator_base< const_iterator, const_search_results::store_type::const_iterator, const rtree::value_type >
| iterator_base (store_iterator_type pos)
Protected Attributes inherited from mdds::rtree< KeyT, ValueT, Traits >::iterator_base< const_iterator, const_search_results::store_type::const_iterator, const rtree::value_type >
store_iterator_type | m_pos